(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.viens = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#0099FF").ss(3,1,1).p("Ah3juIDvAAIAAHdIjvAAg");
	this.shape.setTransform(12,23.9);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#0571B8").s().p("Ah3DvIAAndIDvAAIAAHdg");
	this.shape_1.setTransform(12,23.9);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.viens, new cjs.Rectangle(-1.5,-1.5,27,50.8), null);


(lib.triis = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#0099FF").ss(3,1,1).p("Ah3liIDvAAIAALFIjvAAg");
	this.shape.setTransform(12,35.5);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#0571B8").s().p("Ah3FjIAArFIDvAAIAALFg");
	this.shape_1.setTransform(12,35.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.triis, new cjs.Rectangle(-1.5,-1.5,27,74.1), null);


(lib.gdfwgw = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#474747").ss(3,1,1).p("ANuFKQhEC2iVCVQkRESmEAAQmDAAkSkSQh5h6hDiQQhCiLgPihQgEgvAAgwQAAmDERkSQESkRGDAAQGEAAERERQESESAAGDQAABOgLBIQgOBdggBXg");
	this.shape.setTransform(93.5,91.4);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("rgba(255,255,255,0.898)").s().p("AqUKVQh6h5hDiRQhCiLgPigQgEgwAAgwQAAmDESkRQERkSGDAAQGEAAERESQESERAAGDQAABNgLBJQgOBeggBWQhEC2iVCVQkRESmEAAQmDAAkRkSg");
	this.shape_1.setTransform(93.5,91.4);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.gdfwgw, new cjs.Rectangle(-1.5,-3.6,190,190), null);


(lib.divi = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#0099FF").ss(3,1,1).p("Ah3k1IDvAAIAAJrIjvAAg");
	this.shape.setTransform(12,31);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#0571B8").s().p("Ah3E2IAAprIDvAAIAAJrg");
	this.shape_1.setTransform(12,31);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.divi, new cjs.Rectangle(-1.5,-1.5,27,65.1), null);


(lib.chetri = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#0099FF").ss(3,1,1).p("Ah3nTIDvAAIAAOnIjvAAg");
	this.shape.setTransform(12,46.8);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#0571B8").s().p("Ah3HUIAAunIDvAAIAAOng");
	this.shape_1.setTransform(12,46.8);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.chetri, new cjs.Rectangle(-1.5,-1.5,27,96.6), null);


(lib.aefisheg = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#0099FF").s().p("ApMDPQEFgyEjiAQEviGDTimIgvgvICeAAIAACdIgvgvQieCZk+CRQkvCMlfBZg");
	this.shape.setTransform(58.9,31.9);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = getMCSymbolPrototype(lib.aefisheg, new cjs.Rectangle(0,0,117.7,63.9), null);


(lib.afiwhfg = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_19 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(19).call(this.frame_19).wait(1));

	// Layer_6
	this.instance = new lib.aefisheg();
	this.instance.parent = this;
	this.instance.setTransform(57.2,3.5,1,1,0,0,0,58.9,31.9);
	this.instance.alpha = 0;
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(16).to({_off:false},0).to({alpha:1},3).wait(1));

	// chetri
	this.instance_1 = new lib.chetri();
	this.instance_1.parent = this;
	this.instance_1.setTransform(115.2,46.8,1,1,0,0,0,12,46.8);
	this.instance_1.alpha = 0;
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(12).to({_off:false},0).to({alpha:1},4).wait(4));

	// triis
	this.instance_2 = new lib.triis();
	this.instance_2.parent = this;
	this.instance_2.setTransform(80,58,1,1,0,0,0,12,35.5);
	this.instance_2.alpha = 0;
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(8).to({_off:false},0).to({alpha:1},4).wait(8));

	// divi
	this.instance_3 = new lib.divi();
	this.instance_3.parent = this;
	this.instance_3.setTransform(45.6,62.5,1,1,0,0,0,12,31);
	this.instance_3.alpha = 0;
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(4).to({_off:false},0).to({alpha:1},4).wait(12));

	// viens
	this.instance_4 = new lib.viens();
	this.instance_4.parent = this;
	this.instance_4.setTransform(12,69.7,1,1,0,0,0,12,23.9);
	this.instance_4.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).to({alpha:1},4).wait(16));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1.5,44.3,27,50.8);


(lib.white32copy2 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_24 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(24).call(this.frame_24).wait(1));

	// Layer_3
	this.instance = new lib.afiwhfg();
	this.instance.parent = this;
	this.instance.setTransform(124.6,99.5,1,1,0,0,0,63.6,46.8);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(14).to({_off:false},0).wait(11));

	// Layer 1
	this.instance_1 = new lib.gdfwgw();
	this.instance_1.parent = this;
	this.instance_1.setTransform(126.5,93.5,0.132,0.132,0,0,0,93.5,93.5);

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(1).to({regX:93.6,regY:93.6,scaleX:0.39,scaleY:0.39},0).wait(1).to({regX:93.5,regY:93.5,scaleX:0.6,scaleY:0.6},0).wait(1).to({scaleX:0.77,scaleY:0.77},0).wait(1).to({scaleX:0.9,scaleY:0.9},0).wait(1).to({scaleX:0.99,scaleY:0.99},0).wait(1).to({scaleX:1.05,scaleY:1.05,y:93.6},0).wait(1).to({scaleX:1.07,scaleY:1.07},0).wait(1).to({scaleX:1.08,scaleY:1.08},0).wait(1).to({scaleX:1.08,scaleY:1.08},0).wait(1).to({scaleX:1.07,scaleY:1.07,y:93.5},0).wait(1).to({scaleX:1.05,scaleY:1.05,y:93.6},0).wait(1).to({scaleX:1.02,scaleY:1.02},0).wait(1).to({scaleX:1.01,scaleY:1.01,y:93.5},0).wait(1).to({scaleX:1,scaleY:1},0).wait(11));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(114,80.8,25,25);


// stage content:
(lib.Element_icon_graph_up_good_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.instance = new lib.white32copy2();
	this.instance.parent = this;
	this.instance.setTransform(43.6,83.5,1.267,1.267);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(388,385.8,31.7,31.7);
// library properties:
lib.properties = {
	id: '6A2276D98C09DE409E0EC559EB267EBC',
	width: 400,
	height: 400,
	fps: 24,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['6A2276D98C09DE409E0EC559EB267EBC'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}



})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;